import { Listbox } from "../listbox/listbox";
import { FormAssociated } from "../form-associated/form-associated";
/**
 * Normally this would be passed as an anonymous class directly to the
 * {@link (FormAssociated:function)} mixin function. TypeScript 4+ throws an
 * error when base accessors are overridden in a subclass. Combobox overrides
 * the `options` accessors in Listbox.
 */
declare class ComboboxListbox extends Listbox {
    proxy: HTMLInputElement;
}
declare const FormAssociatedCombobox_base: typeof ComboboxListbox;
/**
 * A form-associated base class for the {@link (Combobox:class)} component.
 *
 * @internal
 */
export declare class FormAssociatedCombobox extends FormAssociatedCombobox_base {
}
/**
 * @internal
 */
export interface FormAssociatedCombobox extends FormAssociated {
}
export {};
